Payout Beneficiary
curl --request POST \
--url https://flickopenapi.co/transfer/payout-beneficiary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "4000",
"narration": "payout to friend",
"currency": "NGN",
"beneficiary_id": "shape",
"beneficiary_name": "Kingsley",
"debit_currency": "NGN",
"is_off_ramp": true,
"reference": "aFpjiyuu_657878"
}
'import requests
url = "https://flickopenapi.co/transfer/payout-beneficiary"
payload = {
"amount": "4000",
"narration": "payout to friend",
"currency": "NGN",
"beneficiary_id": "shape",
"beneficiary_name": "Kingsley",
"debit_currency": "NGN",
"is_off_ramp": True,
"reference": "aFpjiyuu_657878"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '4000',
narration: 'payout to friend',
currency: 'NGN',
beneficiary_id: 'shape',
beneficiary_name: 'Kingsley',
debit_currency: 'NGN',
is_off_ramp: true,
reference: 'aFpjiyuu_657878'
})
};
fetch('https://flickopenapi.co/transfer/payout-beneficiary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/transfer/payout-beneficiary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '4000',
'narration' => 'payout to friend',
'currency' => 'NGN',
'beneficiary_id' => 'shape',
'beneficiary_name' => 'Kingsley',
'debit_currency' => 'NGN',
'is_off_ramp' => true,
'reference' => 'aFpjiyuu_657878'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/transfer/payout-beneficiary"
payload := strings.NewReader("{\n \"amount\": \"4000\",\n \"narration\": \"payout to friend\",\n \"currency\": \"NGN\",\n \"beneficiary_id\": \"shape\",\n \"beneficiary_name\": \"Kingsley\",\n \"debit_currency\": \"NGN\",\n \"is_off_ramp\": true,\n \"reference\": \"aFpjiyuu_657878\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/transfer/payout-beneficiary")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"4000\",\n \"narration\": \"payout to friend\",\n \"currency\": \"NGN\",\n \"beneficiary_id\": \"shape\",\n \"beneficiary_name\": \"Kingsley\",\n \"debit_currency\": \"NGN\",\n \"is_off_ramp\": true,\n \"reference\": \"aFpjiyuu_657878\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/transfer/payout-beneficiary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"4000\",\n \"narration\": \"payout to friend\",\n \"currency\": \"NGN\",\n \"beneficiary_id\": \"shape\",\n \"beneficiary_name\": \"Kingsley\",\n \"debit_currency\": \"NGN\",\n \"is_off_ramp\": true,\n \"reference\": \"aFpjiyuu_657878\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Payout queued successfully",
"meta": {
"Id": "TT-kkboema",
"debit_currency": "GBP",
"amount": "1000",
"credit_currency": "GBP",
"fee_charged": 250,
"total_amount": 1250,
"dated": "2025-03-07T19:08:24.043Z",
"beneficiary_id": "dier-rewi-0",
"bank_name": "wise",
"account_no": "21194210",
"sort_code": "23-08-01"
}
}API Reference
Payout Beneficiary
Inititate a Payout to Beneficiary
POST
/
transfer
/
payout-beneficiary
Payout Beneficiary
curl --request POST \
--url https://flickopenapi.co/transfer/payout-beneficiary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "4000",
"narration": "payout to friend",
"currency": "NGN",
"beneficiary_id": "shape",
"beneficiary_name": "Kingsley",
"debit_currency": "NGN",
"is_off_ramp": true,
"reference": "aFpjiyuu_657878"
}
'import requests
url = "https://flickopenapi.co/transfer/payout-beneficiary"
payload = {
"amount": "4000",
"narration": "payout to friend",
"currency": "NGN",
"beneficiary_id": "shape",
"beneficiary_name": "Kingsley",
"debit_currency": "NGN",
"is_off_ramp": True,
"reference": "aFpjiyuu_657878"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '4000',
narration: 'payout to friend',
currency: 'NGN',
beneficiary_id: 'shape',
beneficiary_name: 'Kingsley',
debit_currency: 'NGN',
is_off_ramp: true,
reference: 'aFpjiyuu_657878'
})
};
fetch('https://flickopenapi.co/transfer/payout-beneficiary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/transfer/payout-beneficiary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '4000',
'narration' => 'payout to friend',
'currency' => 'NGN',
'beneficiary_id' => 'shape',
'beneficiary_name' => 'Kingsley',
'debit_currency' => 'NGN',
'is_off_ramp' => true,
'reference' => 'aFpjiyuu_657878'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/transfer/payout-beneficiary"
payload := strings.NewReader("{\n \"amount\": \"4000\",\n \"narration\": \"payout to friend\",\n \"currency\": \"NGN\",\n \"beneficiary_id\": \"shape\",\n \"beneficiary_name\": \"Kingsley\",\n \"debit_currency\": \"NGN\",\n \"is_off_ramp\": true,\n \"reference\": \"aFpjiyuu_657878\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/transfer/payout-beneficiary")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"4000\",\n \"narration\": \"payout to friend\",\n \"currency\": \"NGN\",\n \"beneficiary_id\": \"shape\",\n \"beneficiary_name\": \"Kingsley\",\n \"debit_currency\": \"NGN\",\n \"is_off_ramp\": true,\n \"reference\": \"aFpjiyuu_657878\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/transfer/payout-beneficiary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"4000\",\n \"narration\": \"payout to friend\",\n \"currency\": \"NGN\",\n \"beneficiary_id\": \"shape\",\n \"beneficiary_name\": \"Kingsley\",\n \"debit_currency\": \"NGN\",\n \"is_off_ramp\": true,\n \"reference\": \"aFpjiyuu_657878\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Payout queued successfully",
"meta": {
"Id": "TT-kkboema",
"debit_currency": "GBP",
"amount": "1000",
"credit_currency": "GBP",
"fee_charged": 250,
"total_amount": 1250,
"dated": "2025-03-07T19:08:24.043Z",
"beneficiary_id": "dier-rewi-0",
"bank_name": "wise",
"account_no": "21194210",
"sort_code": "23-08-01"
}
}Authorizations
Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....
Body
application/json
Payout beneficiary
Example:
"4000"
Example:
"payout to friend"
Example:
"NGN"
Example:
"shape"
Example:
"Kingsley"
Example:
"NGN"
Example:
true
Example:
"aFpjiyuu_657878"